osmo_ss7_asp_peer Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

char * | host [OSMO_SOCK_MAX_ADDRS]
size_t | host_cnt
uint16_t | port

## Field Documentation

## host

char* osmo_ss7_asp_peer::host[OSMO_SOCK_MAX_ADDRS]

Referenced by osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find_by_socket_addr(), osmo_ss7_asp_peer_add_host(), osmo_ss7_asp_peer_set_hosts(), osmo_ss7_asp_peer_snprintf(), osmo_ss7_asp_restart(), osmo_ss7_xua_server_add_local_host(), osmo_ss7_xua_server_set_local_hosts(), write_one_xua(), and xua_accept_cb().

## host_cnt

size_t osmo_ss7_asp_peer::host_cnt

Referenced by osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find_by_socket_addr(), osmo_ss7_asp_peer_add_host(), osmo_ss7_asp_peer_set_hosts(), osmo_ss7_asp_peer_snprintf(), osmo_ss7_asp_restart(), osmo_ss7_vty_go_parent(), osmo_ss7_xua_server_add_local_host(), osmo_ss7_xua_server_set_local_hosts(), write_one_xua(), and xua_accept_cb().

## port

uint16_t osmo_ss7_asp_peer::port

Referenced by osmo_ss7_asp_find(), osmo_ss7_asp_find_by_socket_addr(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_peer_snprintf(), osmo_ss7_asp_restart(), osmo_ss7_xua_server_create(), osmo_ss7_xua_server_find(), write_one_xua(), and xua_accept_cb().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h